<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/red"
    tools:context=".MainActivity"
    android:orientation="horizontal">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_margin="15dp"
        android:layout_weight="1">

        <TextView
            android:id="@+id/tvPlayerName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="15dp"
            android:text="@string/tvPlayerName"
            android:textColor="@color/black"
            android:textSize="20sp" />

        <EditText
            android:id="@+id/etPlayerName"
            android:layout_width="180dp"
            android:layout_height="wrap_content"
            android:layout_margin="15dp"
            android:ems="10"
            android:inputType="textPersonName" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvScore"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:text="@string/tvScore"
                android:textColor="@color/black"
                android:textSize="20sp" />

            <EditText
                android:id="@+id/etScore"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_margin="15dp"
                android:ems="10"
                android:inputType="textPersonName" />
        </LinearLayout>

        <CheckBox
            android:id="@+id/cbSound"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/sound"
            android:layout_margin="15dp"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_margin="15dp"
        android:layout_weight="1">

        <TextView
            android:id="@+id/tvBackground"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/tvBackground"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:layout_margin="15dp"/>

        <Spinner
            android:id="@+id/spinnerBackground"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="15dp"
            android:layout_marginEnd="15dp"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/preferences"
            android:textSize="20sp"
            android:textColor="@color/black"
            android:layout_gravity="center"
            android:layout_margin="15dp"/>

        <RadioGroup
            android:id="@+id/rgPreferences"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="15dp">

            <RadioButton
                android:id="@+id/rbShared"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/shared_preferences" />

            <RadioButton
                android:id="@+id/rbPreferences"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/get_preferences" />

            <RadioButton
                android:id="@+id/rbDefault"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/default_shared" />
        </RadioGroup>

        <Button
            android:id="@+id/btShow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="@string/show_preferences_file"/>

    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_margin="15dp"
        android:layout_weight="1">

        <TextView
            android:id="@+id/tvDifficulty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/tvDifficulty"
            android:textColor="@color/black"
            android:textSize="20sp"
            android:layout_margin="15dp" />

        <RadioGroup
            android:id="@+id/rgDifficulty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="15dp">

            <RadioButton
                android:id="@+id/rbEasy"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/easy" />

            <RadioButton
                android:id="@+id/rbNormal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/normal" />

            <RadioButton
                android:id="@+id/rbHard"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/hard" />

            <RadioButton
                android:id="@+id/rbVeryHard"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/very_hard" />

            <RadioButton
                android:id="@+id/rbExpert"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/expert" />
        </RadioGroup>

        <Spinner
            android:id="@+id/spinnerLevel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="0dp" />

    </LinearLayout>

</LinearLayout>